var _____WB$wombat$assign$function_____=function(name){return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name))||self[name];};if(!self.__WB_pmw){self.__WB_pmw=function(obj){this.__WB_source=obj;return this;}}{
let window = _____WB$wombat$assign$function_____("window");
let self = _____WB$wombat$assign$function_____("self");
let document = _____WB$wombat$assign$function_____("document");
let location = _____WB$wombat$assign$function_____("location");
let top = _____WB$wombat$assign$function_____("top");
let parent = _____WB$wombat$assign$function_____("parent");
let frames = _____WB$wombat$assign$function_____("frames");
let opens = _____WB$wombat$assign$function_____("opens");
(function() {
var imenupro = imenupro || {}; // Copyright 2014 SoftCafe, LLC. All rights reserved. 
var inewfade = 1;
imenupro['5a5-2f'] = {};
imenupro['5a5-2f']['timestamp'] = '1634226784196';
imenupro['5a5-2f']['showtime'] = 'off';
imenupro['5a5-2f']['shorturl'] = '5a5-2f';
imenupro['5a5-2f']['color'] = 'rgb(255, 255, 255)';
imenupro['5a5-2f']['publishedtop'] = '0';
imenupro['5a5-2f']['css'] = 'menupro/css_mobile/match2.css';
imenupro['5a5-2f']['match'] = 'https://s3.amazonaws.com/menupro/imp_FY8VPaCML2qkK7/5a5-2f.css?v=735705568';
imenupro['5a5-2f']['html'] = '<div class="imp-menu"><div id="imp-hidden-qrname" style="display:none">undefined</div><div class="imp-heading x5a5-2fimp-heading">\
<div class="imp-title-heading x5a5-2fimp-title-heading">THURSDAY         11AM-2:30PM</div></div>\
<div class="imp-heading x5a5-2fimp-heading">\
<div class="imp-normal-heading x5a5-2fimp-normal-heading">BUFFET ENTRÉES</div></div>\
<div class="imp-food-cols imp-x-cols">\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">*Fried Chicken</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">CHEF CHOICE</div></div>\
</div>\
<div class="imp-heading x5a5-2fimp-heading">\
<div class="imp-normal-heading x5a5-2fimp-normal-heading">Vegetable & Sides</div></div>\
<div class="imp-food-cols imp-x-cols">\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Rice-</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Mac &#39;n Cheese</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Mash/ Potatoes</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Black Eyed Peas</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Stewed Tomatoes</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Baked Beans</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Garden Peas</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Collards</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Roll</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Green Beans</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Corn</div></div>\
</div>\
<div class="imp-heading x5a5-2fimp-heading">\
<div class="imp-normal-heading x5a5-2fimp-normal-heading">SALAD BAR & DESSERTS</div></div>\
<div class="imp-food-cols imp-x-cols">\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Cole Slaw</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Potato Salad</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Garden Salad</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Chocolate pudding</div></div>\
</div>\
<div class="imp-heading x5a5-2fimp-heading">\
<div class="imp-normal-heading x5a5-2fimp-normal-heading">BEVERAGES</div></div>\
<div class="imp-food-cols imp-x-cols">\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Water</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Tea Sweet or Unsweetened</div></div>\
</div>\
<div class="imp-heading x5a5-2fimp-heading">\
<div class="imp-normal-heading x5a5-2fimp-normal-heading">FULL MENU AVAILABLE</div></div>\
<div class="imp-heading x5a5-2fimp-heading">\
<div class="imp-subheading x5a5-2fimp-subheading">11 AM- 9 PM</div></div>\
<div class="imp-heading x5a5-2fimp-heading">\
<div class="imp-normal-heading x5a5-2fimp-normal-heading">MERMAID ROOM\
OPEN @ 4 PM</div></div>\
<div class="imp-food-cols imp-x-cols">\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Wing-Wednesday</div><div class="imp-price x5a5-2fimp-price ">EA</div></div>\
<div class="imp-food-item"><div class="imp-name x5a5-2fimp-name">Adult Beverages</div><div class="imp-description x5a5-2fimp-description">Beer, Wine. Cocktails And Frozen Drink Available Ask Your Server</div></div>\
</div>\
</div><a target="_blank" href="https://imenupro.com/"><img alt="Powered by iMenuPro" loading="lazy" rel="noopener noreferrer" aria-label="opens new window to iMenuPro" id="imp-love" src="../menupro/css_mobile/powered-by.png"></a></div></body></html>';
function insertStyleSheet(css_url) {
		var head = document.head || document.getElementsByTagName('head')[0];
		var mp_ss = document.createElement('link');
		mp_ss.type = 'text/css';
		mp_ss.rel = 'stylesheet';
		mp_ss.href = css_url;
		head.appendChild(mp_ss);		
		return mp_ss; // 11.0.79
	}
		

	function checkScriptLocation(shorturl, callback) {
		var orgScript = document.getElementById(shorturl);

		if (orgScript.parentNode.tagName === 'HEAD') {
			var script = document.createElement('script');
			script.id = orgScript.id;
			script.innerHTML = orgScript.innerHTML;

			// Since script originated from the HEAD, body not yet created
			// Wait till body is found to insert script
			var count = 0;
			checkBody = setInterval(function() {
				if (document.body) {
					// Body found, OK to append script
					document.body.appendChild(script);
					orgScript.remove();
					callback();
					clearInterval(checkBody);
				} else if (count >= 20) {
					// Kickout after 2 seconds, prevent infinite loop
					callback();
					clearInterval(checkBody);	
				}
				count++;
			}, 100);
		} else {
			callback();
		}
	}

	function insertHTML(myID, myHTML, bg_color, appearance) {
		var mp_body = document.getElementById(myID);
			var mp_div = document.createElement('div');
		
		// 11.0.79
		if ( inewfade ) {
			var transition = 'opacity 350ms cubic-bezier(0.4,0,0.2,1)';
			mp_div.style.opacity = 0;
		
			// Add transition css inline to menu wrapper
			mp_div.style.webkitTransition = transition;
			mp_div.style.mozTransition = transition;
			mp_div.style.oTransition = transition;
			mp_div.style.msTransition = transition;
			mp_div.style.transition = transition;
		}
			
	//	mp_div.className = 'imp-wrapper'; // pre 11.0.79
		if ( !inewfade ) {
			mp_div.className = 'imp-wrapper-'+imenupro['5a5-2f']['css'].slice(imenupro['5a5-2f']['css'].indexOf('_mobile/')+8,imenupro['5a5-2f']['css'].indexOf('.css'));	// 11.0.79 wrapper + appearance
		}
		else {
			mp_div.className = appearance;	// 11.0.79 fade contains wrapper
		}
		mp_div.style.backgroundColor = bg_color;
		mp_div.innerHTML = myHTML;

		mp_body.parentNode.insertBefore(mp_div, mp_body.nextSibling);
		
		return mp_div; // 11.0.79
	}

	function insertTime(myID, myTime, pubOnTop) {
		var d = new Date(parseInt(myTime));
		var pub_str = d.toString().slice(4,7) +"-"+d.getDate() +"-"+ d.getFullYear() +'  '+ d.toLocaleTimeString().replace(/((?:[^\:]*\:[^\:]*))(.*)( .*)$/, '$1$3'); // locale time string

		var mp_body = document.getElementById(myID);
		var mp_div = document.createElement('div');
		if ( pubOnTop === '1' ) { // 11.1.28
			var mp_powered = mp_body.nextSibling.firstChild;
		}
		else { 
			var mp_powered = mp_body.nextSibling.lastChild;
		}
		mp_div.className = 'imp-footer ' + 'x'+myID+'imp-footer' + ' imp-footer'+myID;
		mp_div.setAttribute('style', 'display:block'); // 11.1.58
		if (myTime === '-6106015800000') {
			mp_div.innerHTML = 'Not published yet';
		}
		else {
			mp_div.innerHTML = 'Published on: '+pub_str;
		}
 		if ( pubOnTop === '1' ) { // 11.1.28
			mp_powered.parentNode.insertBefore(mp_div, mp_powered);
		}
		else {
			mp_powered.parentNode.insertBefore(mp_div, mp_powered);
		}
	}

	function insertViewport() {
		var meta_viewport = document.getElementsByName('viewport');
		if ((meta_viewport.length > 0) && (meta_viewport[0].nodeName == 'META')) {
			// found viewport inside meta, do not touch
		} else {
			// insert meta viewport
			var mp_meta = document.createElement('meta');
			mp_meta.setAttribute('name', 'viewport');
			mp_meta.setAttribute('content','width=device-width, initial-scale=1');
			document.getElementsByTagName('head')[0].appendChild(mp_meta);
		}
	}

	// 11.0.79
	function fadeIn(e) {
		setTimeout(function() {
			e.style.opacity = 1;
		}, 200);
	}

	// 11.0.79
	function loadMenu(menu, appearence_name) {
		// Append HTML immediately - prevents DOM movement changes
		var HTML = insertHTML(menu['shorturl'],menu['html'],menu['color'], appearence_name);

		var baseCSS = false;
		var matchCSS = false;
		if (menu['match'] != 'none') {

			insertStyleSheet(menu['match']).onload = function() {
				matchCSS = true;
			}
			insertStyleSheet(menu['css']).onload = function() {
				baseCSS = true;
			}
			var count = 0;
			var cssCheck = setInterval(function() {
			count++;
				if (baseCSS === true && matchCSS === true) {
					fadeIn(HTML)
					clearInterval(cssCheck);
				}
				if (count >= 15) {
					fadeIn(HTML)
					clearInterval(cssCheck);
				}
			}, 200);
		} else {
			insertStyleSheet(menu['css']).onload = function() {
				baseCSS = true;
			}
			var count = 0;
			var cssCheck = setInterval(function() {
				count++;
				if (baseCSS === true) {
					fadeIn(HTML)
					clearInterval(cssCheck);
				} else if (count >= 15) {
					fadeIn(HTML)
					clearInterval(cssCheck);
				}
			}, 200);
		}
	}

	insertViewport();

	// 11.0.79
	// 11.0.91 Converted to function, wait to call
	function processMenu() {
		if ( inewfade ) {
			loadMenu(imenupro['5a5-2f'],'imp-wrapper-'+imenupro['5a5-2f']['css'].slice(imenupro['5a5-2f']['css'].indexOf('_mobile/')+8,imenupro['5a5-2f']['css'].indexOf('.css')) );
		}
		else {
			insertStyleSheet(imenupro['5a5-2f']['css']);
			insertHTML(imenupro['5a5-2f']['shorturl'], imenupro['5a5-2f']['html'], imenupro['5a5-2f']['color']);
		}

		if (imenupro['5a5-2f']['showtime'] == 'on' || imenupro['5a5-2f']['timestamp'] === '-6106015800000' ) {
			insertTime(imenupro['5a5-2f']['shorturl'], imenupro['5a5-2f']['timestamp'], imenupro['5a5-2f']['publishedtop']);
		}
		if ( !inewfade ) {
			if (imenupro['5a5-2f']['match'] != 'none') {
				insertStyleSheet(imenupro['5a5-2f']['match']);
			}
		}
	}

	checkScriptLocation(imenupro['5a5-2f']['shorturl'], processMenu)
})();

	// 11.1.79 moved out
	function impshowPic(el) {
		if ( el.firstChild.style.zIndex == 666 ) { // reset?
			el.firstChild.style.maxWidth ='';
			el.firstChild.style.maxHeight ='';
			el.firstChild.style.zIndex = '';	
		}
		else { // enlarge
			el.firstChild.style.setProperty( 'max-width', '100%', 'important' );
			el.firstChild.style.maxHeight ='100%';
			el.firstChild.style.zIndex = '666';	
		}
	}

}